#pragma once

#include "widget.h"
#include "menubutton.h"
#include "menudrop.h"

#include <SFML/Graphics/RectangleShape.hpp>

class MenuBar : public Widget
{
public:
    explicit MenuBar();

    virtual void input(const sf::Event& event) override;
    virtual void update() override;
    virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const override;
    virtual void setRect(const sf::FloatRect& rect) override;
    virtual void setPosition(const sf::Vector2f& position) override;
    virtual bool isUnderMouse(int mouse_x, int mouse_y) const override;

    bool isActive() const;
    void addSubMenu(std::unique_ptr<MenuDrop>&& submenu);

private:
    sf::RectangleShape _bar_rect;
    std::vector<std::unique_ptr<MenuButton>> _bar_buttons;
};
